From ba86e7501391c1eef4efa8201f39abf127e1084b Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Mon, 22 Aug 2022 10:19:42 +0100
Subject: [PATCH] Add OpenBSD AArch64 Little Endian BFD support.

	* config.bfd (aarch64-*-openbsd*): Add target.
---
 bfd/ChangeLog  | 4 ++++
 bfd/config.bfd | 5 +++++
 2 files changed, 9 insertions(+)

diff --git a/bfd/ChangeLog b/bfd/ChangeLog
index cb1f48ba481..88643b8a036 100644
--- a/bfd/ChangeLog
+++ b/bfd/ChangeLog
@@ -1,3 +1,7 @@
+2022-08-22  Frederic Cambus  <fred@statdns.com>
+
+	* config.bfd (aarch64-*-openbsd*): Add target.
+
 2022-08-03  Nick Clifton  <nickc@redhat.com>
 
 	PR 29389
diff --git a/bfd/config.bfd b/bfd/config.bfd
index c514479b1f2..8c7be5da38a 100644
--- a/bfd/config.bfd
+++ b/bfd/config.bfd
@@ -259,6 +259,11 @@ case "${targ}" in
     targ_selvecs="aarch64_elf64_be_vec arm_elf32_le_vec arm_elf32_be_vec"
     want64=true
     ;;
+  aarch64-*-openbsd*)
+    targ_defvec=aarch64_elf64_le_vec
+    targ_selvecs="aarch64_elf64_be_vec arm_elf32_le_vec arm_elf32_be_vec"
+    want64=true
+    ;;
   aarch64-*-fuchsia*)
     targ_defvec=aarch64_elf64_le_vec
     targ_selvecs="aarch64_elf64_be_vec arm_elf32_le_vec arm_elf32_be_vec"
-- 
2.31.1

